Skip to main content
GET
/
api
/
v2
/
webhook-events
/
{id}
Get webhook event
curl --request GET \
  --url https://api.instantly.ai/api/v2/webhook-events/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-b00b-7e1d-952f-bf2aef94b293",
  "timestamp_created": "2026-03-05T23:09:47.403Z",
  "timestamp_created_date": "2024-01-15",
  "organization_id": "019cc043-b00b-7e1d-952f-bf2b00c4c931",
  "success": true,
  "retry_count": 0,
  "will_retry": false,
  "webhook_url": "https://webhook.site/unique-url",
  "payload": {},
  "status_code": 200,
  "error_message": "Connection timeout",
  "timestamp_next_retry": "2026-03-05T23:09:47.403Z",
  "retry_group_id": "019cc043-b00b-7e1d-952f-bf2cac685feb",
  "retry_successful": true,
  "lead_email": "lead@example.com",
  "response_time_ms": 150
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the requested item

Example:

"019cc043-e3f0-792a-8720-d51d4a4b62ba"

Response

The requested Webhook Event

A webhook event that was sent or attempted to be sent

id
string<uuid>
required

Unique identifier for the webhook event (UUID)

Example:

"019cc043-b00b-7e1d-952f-bf2aef94b293"

timestamp_created
string<date-time>
required

Timestamp when the webhook event was created

Example:

"2026-03-05T23:09:47.403Z"

timestamp_created_date
string<date>
required

Date when the webhook event was created (for partitioning)

Example:

"2024-01-15"

organization_id
string<uuid>
required

Organization (workspace) UUID that owns this webhook event

Example:

"019cc043-b00b-7e1d-952f-bf2b00c4c931"

success
boolean
required

Whether the webhook call was successful

Example:

true

retry_count
number
required

Number of retry attempts made

Example:

0

will_retry
boolean
required

Whether the webhook will be retried

Example:

false

webhook_url
string
required

Target URL where the webhook was sent

Example:

"https://webhook.site/unique-url"

payload
object

JSON payload that was sent/attempted to be sent

status_code
null | number

HTTP status code received from the webhook endpoint (if any)

Example:

200

error_message
null | string

Error message if the webhook failed

Example:

"Connection timeout"

timestamp_next_retry
null | string<date-time>

Timestamp for the next retry attempt (if applicable)

Example:

"2026-03-05T23:09:47.403Z"

retry_group_id
null | string<uuid>

UUID for grouping retry attempts

Example:

"019cc043-b00b-7e1d-952f-bf2cac685feb"

retry_successful
null | boolean

Whether the retry was successful (for retry events)

Example:

true

lead_email
null | string

Email address of the lead associated with this webhook event

Example:

"lead@example.com"

response_time_ms
null | number

Response time in milliseconds for the webhook call

Example:

150